import java.io.*;
import java.net.*;

public class HelloPipe extends Task {
   private ObjectResponse response = null;

   public void run() {
      System.out.println("Hello, World!");
      System.out.print("input> ");

      try {
         BufferedReader in = new BufferedReader(new InputStreamReader(System.in));

         String line = in.readLine();

         response = new ObjectResponse(line);
      }
      catch(Exception e) {
         e.printStackTrace(System.err);
      }
   }

   public ObjectResponse getResponse() {
       return response;
   }
}
